package com.fs.sop.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class ExtCourseSopWatchLogVO {

    /**
    * sop任务编号
    */
    private String sopId;

    /**
    * sop任务名称
    */
    private String sopName;

    /**
    * 课程Id
    */
    private Long courseId;

    /**
    * 课节Id
    */
    private Long videoId;

    /**
    * 课节标题
    */
    private String title;


    /**
    * 营期时间
     */
    @Excel(name = "营期时间",dateFormat = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    /**
    * 营期天数
    */
    private Integer countDays;


}
